E-MailRelay

Public Member Functions | List of all members
GNet::Done Class Reference

An exception class that is detected by GNet::EventHandlerList and results in onException() being called with the 'done' parameter set. More...

`#include <gnetdone.h>`

Inheritance diagram for GNet::Done:

## Public Member Functions
| Done ()
| Constructor. More...

## Detailed Description

An exception class that is detected by GNet::EventHandlerList and results in onException() being called with the 'done' parameter set.

See also
  GNet::ClientPtr

Definition at line 39 of file gnetdone.h.

## Constructor & Destructor Documentation

## ◆ Done()

GNet::Done::Done | ( |  | ) |

Constructor.

Definition at line 24 of file gnetdone.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gnetdone.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gnetdone.cpp